Skip to main content
GET
List all events

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Query Parameters

type
enum<string>

Filter events by type (exact match)

Available options:
credential.created,
credential.updated,
credential.deleted,
link.created,
link.updated,
link.deleted,
file.created,
extraction.created,
extraction.updated,
invoice.created,
invoice.updated,
invoice.deleted,
invoice_payment.created,
invoice_payment.updated,
invoice_line_item.created,
invoice_line_item.updated,
tax_return.created,
tax_return.updated,
tax_return.deleted,
export.created,
export.updated,
tax_status.created,
tax_status.updated,
tax_status.deleted,
tax_compliance_check.created,
tax_compliance_check.updated,
tax_compliance_check.deleted,
tax_retention.created,
tax_retention.updated,
tax_retention.deleted,
electronic_accounting_record.created,
electronic_accounting_record.updated,
electronic_accounting_record.deleted,
rpc_entidades.created,
rpc_entidades.updated,
rpc_acto.created,
rpc_acto.updated,
rpc_socios.created,
rpc_socios.updated,
shareholder_relation.created,
shareholder_relation.updated,
shareholder_relation_source.created,
rug_garantia.created,
rug_garantia.updated,
buro_de_credito_report.created,
buro_de_credito_report.updated,
sat_certificate.created,
sat_certificate.updated,
background_check.created,
company_verification_report.created,
company_verification_report.updated
Example:

"credential.updated"

taxpayer.id
string

Filter events by RFC (exact match) RFC (Registro Federal de Contribuyentes)

Required string length: 12 - 13
Example:

"PEIC211118IS0"

source
string<iri-reference>

Filter events by source (exact match) Source that originated the event

Example:

"/extractions/91106968-1abd-4d64-85c1-4e73d96fb997"

resource
string<iri-reference>

Filter events by resource (exact match) Resource related to the event

Example:

"/credentials/91106968-1abd-4d64-85c1-4e73d96fb997"

createdAt[before]
string<date-time>

Filter by resource creation date (less than or equal <=)

createdAt[strictly_before]
string<date-time>

Filter by resource creation date (less than <)

createdAt[after]
string<date-time>

Filter by resource creation date (greater than or equal >=)

createdAt[strictly_after]
string<date-time>

Filter by resource creation date (greater than >)

order[createdAt]
enum<string>

Order by resource creation date

Available options:
asc,
desc
Example:

"asc"

id[lt]
string

Collection cursor pointer to the next page

id[gt]
string

Collection cursor pointer to the previous page

itemsPerPage
integer
default:20

Number of items per page

Required range: 1 <= x <= 1000

Response

Event collection response

@context
string
default:/contexts/Event
@id
string
default:/events
@type
string
default:hydra:Collection
hydra:member
object[]
hydra:view
object

Pagination information